This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 221655 - Eclipse fails to start
Eclipse fails to start
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
6
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ben Konrath
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-05 16:40 EST by Jerry Quinn
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-31 17:42:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jerry Quinn 2007-01-05 16:40:31 EST
Description of problem:

I have a brand new install of fc6 with all updates applied.  I have an existing
eclipse 3.2.1 workspace from my old system, and I try to start eclipse.  This is
/usr/bin/eclipse, and is using gcj - I haven't installed a jdk yet.

Starting eclipse fails with a popup and a terminal message saying:
Failed to load Main-Class manifest attribute from startup.jar

Version-Release number of selected component (if applicable):
eclipse-platform-3.2.1-23.fc6

How reproducible:
start eclipse

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ben Konrath 2007-01-05 16:42:20 EST
What architecture? Can you post the output of 'eclipse -consolelog'? Thanks.
Comment 2 Jerry Quinn 2007-01-05 16:52:41 EST
Arch is 686.

eclipse -consolelog did exactly the same thing as without.

The popup window shows:

JVM terminated, exit code -1
/usr/bin/java -Xms40m -Xmx256m
-Dosgi.sharedConfiguration.area=/usr/lib/eclipse/configuration -jar startup.jar
-oslinux -ws gtk -arch x86 -launcher /usr/bin/eclipse -name Eclipse -showsplash
600 -exitdata 1ce8802a -consolelog -vm /usr/bin/java -vmargs -Xms40m -Xmx256m
-Dosgi.sharedConfiguration.area=/usr/lib/eclipse/configuration -jar startup.jar
Comment 3 Ben Konrath 2007-01-05 17:06:54 EST
So there's no addition information on the terminal with the '-consolelog' option
enabled? 

Can you send me the output of these commands?

rpm -qa --queryformat "%{name}-%{version}-%{release}.%{arch}\n" | grep eclipse
rpm -q --queryformat "%{name}-%{version}-%{release}.%{arch}\n" libswt3-gtk2
ls -l /usr/share/eclipse/startup.jar
ls -l $(which eclipse)

Also, can you try with a clean workspace and a clean configuration aera? You can
use '-data path/to/new/workspace' to specify a new workspace and use 'mv
~/.eclipse{,.bak}' to start with a clean configuration area. Thanks.
Comment 4 Jerry Quinn 2007-01-08 14:17:57 EST
OK, after doing the queries above, I found that libswt3-gtk2 isn't there, nor is
startup.jar.  Apparently startup.jar is present in eclipse-rcp, which I didn't
have installed.

Installing eclipse-rcp solved my startup problem, so I presume you can close
this bug.

What I don't understand is how I got eclipse rpms without eclipse-rcp.  I just
checked and I was also missing eclipse-ecj, which would have broken java
development if I had gotten further.

My guess is that the fc6 installer messed up.  If I uninstall eclipse-jdt and
reinstall it, it picks up eclipse-ecj as expected.

Comment 5 Andrew Overholt 2007-01-08 14:22:03 EST
(In reply to comment #4)
> What I don't understand is how I got eclipse rpms without eclipse-rcp.  I just
> checked and I was also missing eclipse-ecj, which would have broken java
> development if I had gotten further.

I don't know how this could have happened.  Did the yum transaction die or
something?
Comment 6 Ben Konrath 2007-01-31 17:42:00 EST
I don't think there is enough information here to track down this problem. Since
eclipse is now working, I'm closing this bug.

Note You need to log in before you can comment on or make changes to this bug.